Bug 427377 - HA LVM should allow multiple LVs/VG as long as they move together
Summary: HA LVM should allow multiple LVs/VG as long as they move together
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: rgmanager
Version: 4
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jonathan Earl Brassow
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 427378
TreeView+ depends on / blocked
 
Reported: 2008-01-03 16:42 UTC by Jonathan Earl Brassow
Modified: 2018-10-19 22:36 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2008-07-25 19:15:46 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0791 normal SHIPPED_LIVE rgmanager bug fix and enhancement update 2008-07-25 19:14:58 UTC

Description Jonathan Earl Brassow 2008-01-03 16:42:45 UTC
The restriction that there can be only one LV per VG in HA LVM can be
cumbersome.  It was done that way to ensure different machines did not alter the
same metadata if LVs were in use in different places.

We can releave some of the pain by allowing multiple LVs per VG if, and only if,
they move together.  IOW, all services which rely on a particular volume group
must exist on only one machine at a time.

Comment 1 RHEL Product and Program Management 2008-01-03 16:45:24 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Debbie Johnson 2008-03-14 13:13:42 UTC
another customer has reported this issue and it appears already has been given
the patch .. The testing was successful.  I have attached the IT to this BZ.

Let me know if there is anything else I can do.
Deb 

Comment 7 errata-xmlrpc 2008-07-25 19:15:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0791.html



Note You need to log in before you can comment on or make changes to this bug.